org.eclipse.net4j.util.concurrent

## Interface RWLockManager.LockStrategy<OBJECT,CONTEXT>

- Enclosing class:
    RWLockManager<OBJECT,CONTEXT>

  Deprecated.
  Use `RWOLockManager`

      @Deprecated
      protected static interface RWLockManager.LockStrategy<OBJECT,CONTEXT>

  Since:
    3.1
  Author:
    Simon McDuff

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `canObtainLock(RWLockManager.LockEntry<OBJECT,CONTEXT> entry, CONTEXT context)` Deprecated.
    `boolean` | `isLocked(RWLockManager.LockEntry<OBJECT,CONTEXT> entry, CONTEXT context)` Deprecated.
    `boolean` | `isLockedByOthers(RWLockManager.LockEntry<OBJECT,CONTEXT> entry, CONTEXT context)` Deprecated.
    `RWLockManager.LockEntry<OBJECT,CONTEXT>` | `lock(RWLockManager.LockEntry<OBJECT,CONTEXT> entry, CONTEXT context)` Deprecated.
    `RWLockManager.LockEntry<OBJECT,CONTEXT>` | `unlock(RWLockManager.LockEntry<OBJECT,CONTEXT> entry, CONTEXT context)` Deprecated.

- - ### Method Detail

    - #### isLocked

          boolean isLocked(RWLockManager.LockEntry<OBJECT,CONTEXT> entry,
                           CONTEXT context)

      Deprecated.

    - #### isLockedByOthers

          boolean isLockedByOthers(RWLockManager.LockEntry<OBJECT,CONTEXT> entry,
                                   CONTEXT context)

      Deprecated.

    - #### canObtainLock

          boolean canObtainLock(RWLockManager.LockEntry<OBJECT,CONTEXT> entry,
                                CONTEXT context)

      Deprecated.

    - #### lock

          RWLockManager.LockEntry<OBJECT,CONTEXT> lock(RWLockManager.LockEntry<OBJECT,CONTEXT> entry,
                                                       CONTEXT context)

      Deprecated.

    - #### unlock

          RWLockManager.LockEntry<OBJECT,CONTEXT> unlock(RWLockManager.LockEntry<OBJECT,CONTEXT> entry,
                                                         CONTEXT context)

      Deprecated.

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html